<html>
<head>
<title>Ogre::Log Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Log.html">Log</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Log Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Log" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p><code>#include &lt;<a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Log:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Log__inherit__graph.gif" border="0" usemap="#Ogre_1_1Log_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Log_inherit__map" id="Ogre_1_1Log_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="8,5,80,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Log-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log_1_1Stream.html">Stream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Log_1_1Stream.html" title="Stream object which targets a log.">Stream</a> object which targets a log.  <a href="classOgre_1_1Log_1_1Stream.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgreThreadDefinesTBB_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a3aff6b56352d8bc30c568c5bdffb2919">Log</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, bool debugOutput=true, bool suppressFileOutput=false)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a7d36bb9b3f6f6890dd78ae503b6ce349">~Log</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a2d0c4e75fffdb5253da3f77a29616299">getName</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the name of the log.  <a href="#a2d0c4e75fffdb5253da3f77a29616299"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a28325483f288f968165ba60866b53fb7">isDebugOutputEnabled</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get whether debug output is enabled for this log.  <a href="#a28325483f288f968165ba60866b53fb7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#ac6e9cc4e56ce4ead8df405d4769a9cae">isFileOutputSuppressed</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get whether file output is suppressed for this log.  <a href="#ac6e9cc4e56ce4ead8df405d4769a9cae"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a755c97c132bd7eada069fc49d665e58a">isTimeStampEnabled</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get whether time stamps are printed for this log.  <a href="#a755c97c132bd7eada069fc49d665e58a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a41ad772d673872b2bbbf87f1f7c52eca">logMessage</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;message, <a class="el" href="group__General.html#ga124456c1616299612ac9f46e7d69268d">LogMessageLevel</a> lml=<a class="el" href="group__General.html#gga124456c1616299612ac9f46e7d69268dab6d5702e6462875fcbc1b5aff2497d2e">LML_NORMAL</a>, bool maskDebug=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Log.html">Log</a> a message to the debugger and to log file (the default is "&lt;code&gt;OGRE.log&lt;/code&gt;"),.  <a href="#a41ad772d673872b2bbbf87f1f7c52eca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Log_1_1Stream.html">Stream</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#ad8296f1f29dbc5ba46188264fce84c4a">stream</a> (<a class="el" href="group__General.html#ga124456c1616299612ac9f46e7d69268d">LogMessageLevel</a> lml=<a class="el" href="group__General.html#gga124456c1616299612ac9f46e7d69268dab6d5702e6462875fcbc1b5aff2497d2e">LML_NORMAL</a>, bool maskDebug=false)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a stream object targeting this log.  <a href="#ad8296f1f29dbc5ba46188264fce84c4a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#ac374d185fe0498956e466f21916679d8">setDebugOutputEnabled</a> (bool debugOutput)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a754bd94c0f311c333bf0eb4ae9bcdf8d">setLogDetail</a> (<a class="el" href="group__General.html#ga122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a> ll)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a5fe96f6c6a32e8b80ce1af53d37bf2a9">setTimeStampEnabled</a> (bool timeStamp)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a69b305f436e85b592fcd34d5b6ee349f">getLogDetail</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the level of the log detail.  <a href="#a69b305f436e85b592fcd34d5b6ee349f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a4af71adcded1cde866f7163855c509cc">addListener</a> (<a class="el" href="classOgre_1_1LogListener.html">LogListener</a> *listener)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a84bf292947fed5a3760a78c391f0484c">removeListener</a> (<a class="el" href="classOgre_1_1LogListener.html">LogListener</a> *listener)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1LogListener.html">LogListener</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#afff9dd56a91b94b6d174d112f06fa9e1">mtLogListener</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">std::ofstream&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a573b927fee60e2a8e6f814811c61f4a0">mLog</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#aba7baa59f25ba35881b3aa76f2bb5abe">mLogLevel</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a8896298fa5bdf39d3f934dcf2114807c">mDebugOut</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a5b32d16e927bede371262a2c1765c4c1">mSuppressFile</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#a9808e1b5fc37bd14d1c5cbe644cfce4b">mTimeStamp</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#aec421acbf213e4363fec4d616d7045e9">mLogName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Log.html#afff9dd56a91b94b6d174d112f06fa9e1">mtLogListener</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#ab857a5ace7e3d4443c8843d627a56236">mListeners</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><dl class="remark"><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Log.html">Log</a> class for writing debug/log data to files. </dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd><br/>
Should not be used directly, but trough the <a class="el" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a> class. </dd></dl>

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00101">101</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="afff9dd56a91b94b6d174d112f06fa9e1"></a><!-- doxytag: member="Ogre::Log::mtLogListener" ref="afff9dd56a91b94b6d174d112f06fa9e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1LogListener.html">LogListener</a>*&gt;::type <a class="el" href="classOgre_1_1Log.html#afff9dd56a91b94b6d174d112f06fa9e1">Ogre::Log::mtLogListener</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00111">111</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3aff6b56352d8bc30c568c5bdffb2919"></a><!-- doxytag: member="Ogre::Log::Log" ref="a3aff6b56352d8bc30c568c5bdffb2919" args="(const String &amp;name, bool debugOutput=true, bool suppressFileOutput=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgreThreadDefinesTBB_8h.html#a18a523fad1f9e10324e1742865f562b7">OGRE_AUTO_MUTEX</a> <a class="el" href="classOgre_1_1Log.html#a3aff6b56352d8bc30c568c5bdffb2919">Ogre::Log::Log</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>debugOutput</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>suppressFileOutput</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Usual constructor - called by <a class="el" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a7d36bb9b3f6f6890dd78ae503b6ce349"></a><!-- doxytag: member="Ogre::Log::~Log" ref="a7d36bb9b3f6f6890dd78ae503b6ce349" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html#a7d36bb9b3f6f6890dd78ae503b6ce349">Ogre::Log::~Log</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Default destructor. </dd></dl>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a4af71adcded1cde866f7163855c509cc"></a><!-- doxytag: member="Ogre::Log::addListener" ref="a4af71adcded1cde866f7163855c509cc" args="(LogListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Log.html#a4af71adcded1cde866f7163855c509cc">Ogre::Log::addListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1LogListener.html">LogListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Register a listener to this log </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">A</td><td>valid listener derived class </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a69b305f436e85b592fcd34d5b6ee349f"></a><!-- doxytag: member="Ogre::Log::getLogDetail" ref="a69b305f436e85b592fcd34d5b6ee349f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a> <a class="el" href="classOgre_1_1Log.html#a69b305f436e85b592fcd34d5b6ee349f">Ogre::Log::getLogDetail</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the level of the log detail. </p>

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00164">164</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2d0c4e75fffdb5253da3f77a29616299"></a><!-- doxytag: member="Ogre::Log::getName" ref="a2d0c4e75fffdb5253da3f77a29616299" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1Log.html#a2d0c4e75fffdb5253da3f77a29616299">Ogre::Log::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the name of the log. </p>

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00131">131</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<a class="anchor" id="a28325483f288f968165ba60866b53fb7"></a><!-- doxytag: member="Ogre::Log::isDebugOutputEnabled" ref="a28325483f288f968165ba60866b53fb7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Log.html#a28325483f288f968165ba60866b53fb7">Ogre::Log::isDebugOutputEnabled</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get whether debug output is enabled for this log. </p>

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00133">133</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac6e9cc4e56ce4ead8df405d4769a9cae"></a><!-- doxytag: member="Ogre::Log::isFileOutputSuppressed" ref="ac6e9cc4e56ce4ead8df405d4769a9cae" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Log.html#ac6e9cc4e56ce4ead8df405d4769a9cae">Ogre::Log::isFileOutputSuppressed</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get whether file output is suppressed for this log. </p>

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00135">135</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<a class="anchor" id="a755c97c132bd7eada069fc49d665e58a"></a><!-- doxytag: member="Ogre::Log::isTimeStampEnabled" ref="a755c97c132bd7eada069fc49d665e58a" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Log.html#a755c97c132bd7eada069fc49d665e58a">Ogre::Log::isTimeStampEnabled</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get whether time stamps are printed for this log. </p>

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00137">137</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<a class="anchor" id="a41ad772d673872b2bbbf87f1f7c52eca"></a><!-- doxytag: member="Ogre::Log::logMessage" ref="a41ad772d673872b2bbbf87f1f7c52eca" args="(const String &amp;message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Log.html#a41ad772d673872b2bbbf87f1f7c52eca">Ogre::Log::logMessage</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__General.html#ga124456c1616299612ac9f46e7d69268d">LogMessageLevel</a>&#160;</td>
          <td class="paramname"><em>lml</em> = <code><a class="el" href="group__General.html#gga124456c1616299612ac9f46e7d69268dab6d5702e6462875fcbc1b5aff2497d2e">LML_NORMAL</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>maskDebug</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Log.html">Log</a> a message to the debugger and to log file (the default is "&lt;code&gt;OGRE.log&lt;/code&gt;"),. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::Log::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::Log::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::Log::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::Log::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::Log::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::Log::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::Log::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::Log::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::Log::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::Log::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a84bf292947fed5a3760a78c391f0484c"></a><!-- doxytag: member="Ogre::Log::removeListener" ref="a84bf292947fed5a3760a78c391f0484c" args="(LogListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Log.html#a84bf292947fed5a3760a78c391f0484c">Ogre::Log::removeListener</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1LogListener.html">LogListener</a> *&#160;</td>
          <td class="paramname"><em>listener</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Unregister a listener from this log </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">A</td><td>valid listener derived class </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac374d185fe0498956e466f21916679d8"></a><!-- doxytag: member="Ogre::Log::setDebugOutputEnabled" ref="ac374d185fe0498956e466f21916679d8" args="(bool debugOutput)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Log.html#ac374d185fe0498956e466f21916679d8">Ogre::Log::setDebugOutputEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>debugOutput</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Enable or disable outputting log messages to the debugger. </dd></dl>

</div>
</div>
<a class="anchor" id="a754bd94c0f311c333bf0eb4ae9bcdf8d"></a><!-- doxytag: member="Ogre::Log::setLogDetail" ref="a754bd94c0f311c333bf0eb4ae9bcdf8d" args="(LoggingLevel ll)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Log.html#a754bd94c0f311c333bf0eb4ae9bcdf8d">Ogre::Log::setLogDetail</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a>&#160;</td>
          <td class="paramname"><em>ll</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Sets the level of the log detail. </dd></dl>

</div>
</div>
<a class="anchor" id="a5fe96f6c6a32e8b80ce1af53d37bf2a9"></a><!-- doxytag: member="Ogre::Log::setTimeStampEnabled" ref="a5fe96f6c6a32e8b80ce1af53d37bf2a9" args="(bool timeStamp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Log.html#a5fe96f6c6a32e8b80ce1af53d37bf2a9">Ogre::Log::setTimeStampEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>timeStamp</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Enable or disable time stamps. </dd></dl>

</div>
</div>
<a class="anchor" id="ad8296f1f29dbc5ba46188264fce84c4a"></a><!-- doxytag: member="Ogre::Log::stream" ref="ad8296f1f29dbc5ba46188264fce84c4a" args="(LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log_1_1Stream.html">Stream</a> <a class="el" href="classOgre_1_1Log.html#ad8296f1f29dbc5ba46188264fce84c4a">Ogre::Log::stream</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__General.html#ga124456c1616299612ac9f46e7d69268d">LogMessageLevel</a>&#160;</td>
          <td class="paramname"><em>lml</em> = <code><a class="el" href="group__General.html#gga124456c1616299612ac9f46e7d69268dab6d5702e6462875fcbc1b5aff2497d2e">LML_NORMAL</a></code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>maskDebug</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a stream object targeting this log. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8896298fa5bdf39d3f934dcf2114807c"></a><!-- doxytag: member="Ogre::Log::mDebugOut" ref="a8896298fa5bdf39d3f934dcf2114807c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Log.html#a8896298fa5bdf39d3f934dcf2114807c">Ogre::Log::mDebugOut</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00106">106</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab857a5ace7e3d4443c8843d627a56236"></a><!-- doxytag: member="Ogre::Log::mListeners" ref="ab857a5ace7e3d4443c8843d627a56236" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html#afff9dd56a91b94b6d174d112f06fa9e1">mtLogListener</a> <a class="el" href="classOgre_1_1Log.html#ab857a5ace7e3d4443c8843d627a56236">Ogre::Log::mListeners</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00112">112</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<a class="anchor" id="a573b927fee60e2a8e6f814811c61f4a0"></a><!-- doxytag: member="Ogre::Log::mLog" ref="a573b927fee60e2a8e6f814811c61f4a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ofstream <a class="el" href="classOgre_1_1Log.html#a573b927fee60e2a8e6f814811c61f4a0">Ogre::Log::mLog</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00104">104</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<a class="anchor" id="aba7baa59f25ba35881b3aa76f2bb5abe"></a><!-- doxytag: member="Ogre::Log::mLogLevel" ref="aba7baa59f25ba35881b3aa76f2bb5abe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a> <a class="el" href="classOgre_1_1Log.html#aba7baa59f25ba35881b3aa76f2bb5abe">Ogre::Log::mLogLevel</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00105">105</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<a class="anchor" id="aec421acbf213e4363fec4d616d7045e9"></a><!-- doxytag: member="Ogre::Log::mLogName" ref="aec421acbf213e4363fec4d616d7045e9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Log.html#aec421acbf213e4363fec4d616d7045e9">Ogre::Log::mLogName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00109">109</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5b32d16e927bede371262a2c1765c4c1"></a><!-- doxytag: member="Ogre::Log::mSuppressFile" ref="a5b32d16e927bede371262a2c1765c4c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Log.html#a5b32d16e927bede371262a2c1765c4c1">Ogre::Log::mSuppressFile</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00107">107</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9808e1b5fc37bd14d1c5cbe644cfce4b"></a><!-- doxytag: member="Ogre::Log::mTimeStamp" ref="a9808e1b5fc37bd14d1c5cbe644cfce4b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Log.html#a9808e1b5fc37bd14d1c5cbe644cfce4b">Ogre::Log::mTimeStamp</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreLog_8h_source.html#l00108">108</a> of file <a class="el" href="OgreLog_8h_source.html">OgreLog.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreLog_8h_source.html">OgreLog.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
